Bug 151808 - FTL B3 should have a complete patchpoint story
Summary: FTL B3 should have a complete patchpoint story
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 151335 151686 151710 151809 151811 151901 152035 152268 152288 152494 152668 152744
Blocks: 150279
  Show dependency treegraph
 
Reported: 2015-12-03 10:26 PST by Filip Pizlo
Modified: 2016-02-16 18:29 PST (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Filip Pizlo 2015-12-03 10:26:53 PST
This means supporting:

GetById without exceptions
GetById with exceptions
PutById without exceptions
PutById with exceptions
Call
Tail call
Varargs calls
In

We already have late slow paths and OSR.
Comment 1 Filip Pizlo 2015-12-14 15:27:53 PST
Landed in http://trac.webkit.org/changeset/194067
Comment 2 Filip Pizlo 2015-12-14 15:28:07 PST
Lol oops, closed this incorrectly.
Comment 3 Filip Pizlo 2015-12-14 15:28:32 PST
(In reply to comment #1)
> Landed in http://trac.webkit.org/changeset/194067

That was a mistake.  This revision has nothing to do with this bug.
Comment 4 Filip Pizlo 2016-02-16 18:29:37 PST
We did enough of this, future improvements will be tracked by https://bugs.webkit.org/show_bug.cgi?id=154319